> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Details

> Gets the current values for the Insights performance and data storage retention, list of pending operations, and the performance and data storage retention limits.



## OpenAPI

````yaml /services/playfab/api-references/rest/insights/insights.openapi.json post /Insights/GetDetails
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Insights API
  description: Manage the Insights performance level and data storage retention settings.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Analytics
    description: Analytics APIs
paths:
  /Insights/GetDetails:
    post:
      tags:
        - Analytics
      summary: Get Details
      description: >-
        Gets the current values for the Insights performance and data storage
        retention, list of pending operations, and the performance and data
        storage retention limits.
      operationId: GetDetails
      requestBody:
        $ref: '#/components/requestBodies/InsightsEmptyRequest'
      responses:
        '200':
          $ref: '#/components/responses/InsightsGetDetailsResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  requestBodies:
    InsightsEmptyRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InsightsEmptyRequest'
  responses:
    InsightsGetDetailsResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/InsightsGetDetailsResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  schemas:
    InsightsEmptyRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
      example: {}
    InsightsGetDetailsResponse:
      type: object
      properties:
        DataUsageMb:
          description: Amount of data (in MB) currently used by Insights.
          type: number
          x-actualtype: uint32
        ErrorMessage:
          description: >-
            Details of any error that occurred while retrieving Insights
            details.
          type: string
        Limits:
          allOf:
            - $ref: '#/components/schemas/InsightsGetLimitsResponse'
          description: >-
            Allowed range of values for performance level and data storage
            retention.
        PendingOperations:
          description: List of pending Insights operations for the title.
          type: array
          items:
            $ref: '#/components/schemas/InsightsGetOperationStatusResponse'
          x-isclass: true
        PerformanceLevel:
          description: Current Insights performance level setting.
          type: number
          x-actualtype: int32
        RetentionDays:
          description: Current Insights data storage retention value in days.
          type: number
          x-actualtype: int32
      required:
        - PerformanceLevel
        - RetentionDays
        - DataUsageMb
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    InsightsGetLimitsResponse:
      type: object
      properties:
        DefaultPerformanceLevel:
          description: Default Insights performance level.
          type: number
          x-actualtype: int32
        DefaultStorageRetentionDays:
          description: Default Insights data storage retention days.
          type: number
          x-actualtype: int32
        StorageMaxRetentionDays:
          description: Maximum allowed data storage retention days.
          type: number
          x-actualtype: int32
        StorageMinRetentionDays:
          description: Minimum allowed data storage retention days.
          type: number
          x-actualtype: int32
        SubMeters:
          description: List of Insights submeter limits for the allowed performance levels.
          type: array
          items:
            $ref: '#/components/schemas/InsightsPerformanceLevel'
          x-isclass: true
      required:
        - StorageMinRetentionDays
        - StorageMaxRetentionDays
        - DefaultPerformanceLevel
        - DefaultStorageRetentionDays
    InsightsGetOperationStatusResponse:
      type: object
      properties:
        Message:
          description: Optional message related to the operation details.
          type: string
        OperationCompletedTime:
          description: Time the operation was completed.
          type: string
        OperationId:
          description: Id of the Insights operation.
          type: string
        OperationLastUpdated:
          description: Time the operation status was last updated.
          type: string
        OperationStartedTime:
          description: Time the operation started.
          type: string
        OperationType:
          description: The type of operation, SetPerformance or SetStorageRetention.
          type: string
        OperationValue:
          description: The value requested for the operation.
          type: number
          x-actualtype: int32
        Status:
          description: Current status of the operation.
          type: string
      required:
        - OperationValue
        - OperationStartedTime
        - OperationLastUpdated
        - OperationCompletedTime
    InsightsPerformanceLevel:
      type: object
      properties:
        ActiveEventExports:
          description: Number of allowed active event exports. This value is always zero.
          type: number
          x-actualtype: int32
        CacheSizeMB:
          description: Maximum cache size.
          type: number
          x-actualtype: int32
        Concurrency:
          description: Maximum number of concurrent queries.
          type: number
          x-actualtype: int32
        CreditsPerMinute:
          description: Number of Insights credits consumed per minute.
          type: number
          x-actualtype: double
        EventsPerSecond:
          description: Maximum events per second.
          type: number
          x-actualtype: int32
        Level:
          description: Performance level.
          type: number
          x-actualtype: int32
        MaxMemoryPerQueryMB:
          description: Maximum amount of memory allowed per query.
          type: number
          x-actualtype: int32
        VirtualCpuCores:
          description: Amount of compute power allocated for queries and operations.
          type: number
          x-actualtype: int32
      required:
        - Level
        - EventsPerSecond
        - Concurrency
        - MaxMemoryPerQueryMB
        - CacheSizeMB
        - VirtualCpuCores
        - CreditsPerMinute
        - ActiveEventExports
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Details](/services/playfab/api-references/rest/insights/analytics/get-details.md)
- [Get Multiplayer Server Details](/services/playfab/api-references/rest/multiplayer/multiplayer-server/get-multiplayer-server-details.md)
- [Get Segments](/api-reference/segments/get-segments.md)
- [XGameStreamingGetDisplayDetails](/reference/system/xgamestreaming/functions/xgamestreaminggetdisplaydetails.md)
- [MatchmakingTicket.GetMatchDetails](/services/playfab/multiplayer/lobby/unity-multiplayer-api-reference/PlayFab.Multiplayer/MatchmakingTicket/GetMatchDetails.md)
